/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   cd.c                                               :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/02/20 14:27:36 by erey-bet          #+#    #+#             */
/*   Updated: 2023/03/09 20:13:05 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "../minishell.h"

int	make_move(char *path, int fd)
{
	char	*join;

	join = ft_strjoin("/", path);
	join = ft_strfjoin(get_pwd(fd), join);
	if (chdir(join) == 0)
	{
		free(join);
		return (0);
	}
	free(join);
	write(2, "No suck file or directory", 25);
	return (1);
}

int	move_folder(char **args, int fd)
{
	char	*path;

	if (args[1] != NULL)
	{
		write(2, "cd: too many argument", 22);
		return (1);
	}
	path = args[0];
	if (path[0] == '/' || ft_strncmp(path, "..", ft_strlen(path)) == 0)
	{
		if (chdir(path) == 0)
			return (0);
		write(2, "No suck file or directory", 25);
		return (1);
	}
	else
		return (make_move(path, fd));
}
